Page MenuHomePhabricator

Not enough padding for title if Wikidata description is not present
Closed, ResolvedPublic1 Story Points

Description


The title is almost sticking to the page actions. increase the padding by 0.5em

from:

.feature-page-action-bar-v2 .heading-holder  {
remove - padding-bottom: 3.1em;
add + padding-bottom: 3.6em;

}

Test Plan

Visit pages pages with and without Wikidata descriptions and "page issues" using a Grade A browser, e.g. Safari 9 on an iPhone 6, and observe that the whitespace above the page actions bar is consistent.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterMove positioning logic from tagline to container element

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2016, 1:57 AM
Jdlrobson triaged this task as Medium priority.Aug 25 2016, 8:42 PM
Jdlrobson moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
MBinder_WMF set the point value for this task to 1.Sep 19 2016, 4:52 PM
MBinder_WMF set the point value for this task to 1.

Change 312950 had a related patch set uploaded (by Jdlrobson):
Always render tagline container

https://gerrit.wikimedia.org/r/312950

phuedx updated the task description. (Show Details)Sep 27 2016, 1:11 PM

Thanks for the test plan @phuedx
I have updated the patch.

@ovasileva during code review we hit some problems relating to old code that supports the old page actions bar. Given we shipped this 2 months ago is there any reason to continue supporting the old design without the language icon or can I begin work on one bullet point in T130849 to make this task easier?

phuedx changed the task status from Open to Stalled.Sep 28 2016, 7:31 AM
Jdlrobson changed the task status from Stalled to Open.Sep 29 2016, 7:41 PM

This patch should not be stalled now.

They are chained that way purposely yes. The patch can be +2ed but will not merge until "Remove MinervaUsePageActionBarV2 config variable " is also merged.

After manually rebasing rEMFRc95511653e30: Move positioning logic from tagline to container element, I tested it locally and it LGTM. Given that the change is a tweak of a padding and a margin value, I feel that it's reasonable to restrict browser testing to my browser of choice, Google Chrome (53.0.2785.116) on OS X El Capitan (10.11.6).

@Nirzar: The following are screenshots that I took while testing @Jdlrobson's change on my dev wiki:



IMO our treatment of page issues needs some design attention but that's way out of the scope of this task.

@Jdlrobson, @bmansurov: I've left a comment on rEMFR12693bbe42bb: feature-page-action-bar-v2 class is no longer necessary, which might help move the conversation along.

Looks good.

IMO our treatment of page issues needs some design attention but that's way out of the scope of this task.

https://phabricator.wikimedia.org/T143535 > on "designing right now" column :)

I've replied and suggested an approach to get this done.

Change 312950 merged by jenkins-bot:
Move positioning logic from tagline to container element

https://gerrit.wikimedia.org/r/312950

Testing on iPhone 6 (iOS 9.3.2), I took screencaps of how the above Test Plan links looked using my testing device. Padding appears consistent in all examples so this is fixed.

ovasileva closed this task as Resolved.Oct 6 2016, 1:07 PM